#include <linux/module.h>
#include <linux/proc_fs.h>
#include <linux/usb.h>
#include <asm/uaccess.h>	// copy_to_user

//extern int proc_info_write(struct file *file, const char *buf, unsigned long count, void *data);
//extern int (read_proc_t)(char *page, char **start, off_t off, int count, int *eof, void *data);

extern int proc_tmp_write(struct file *file, const char *buf, unsigned long count, void *data);

extern int mas35x9_proc_info_init();

#define	INFO_STR_SIZE	1024

extern char info_str[INFO_STR_SIZE];
extern int	info_crnt_pos;


struct proc_dir_entry	*proc_de_MAS35x9, *proc_de_info, *proc_de_tmp;;

int		proc_init();
void	proc_exit();



int		info_open(struct inode* info_inode,		struct file* info_file){
	printk("info_open\n");
	return 0;
}

int		info_release(struct inode* info_inode,  struct file* info_file)
{
	printk("info_release\n");
	return 0;
}

ssize_t info_read(struct file* info_file,		char* buf, size_t count, loff_t * offset);

/*
struct file_operations {
	struct module *owner;
	ssize_t (*read) (struct file *, char *, size_t, loff_t *);
	int (*open) (struct inode *, struct file *);
	int (*release) (struct inode *, struct file *);
};
*/

struct file_operations	proc_info_fops = {
							owner : THIS_MODULE,
							read : info_read,
							open : info_open,
							release : info_release
						};


